## prometheus-nextcloud-exporter 0.4.0

=== Makefile ===
.PHONY: all test build-binary install clean

GO ?= go
GO_CMD := CGO_ENABLED=0 $(GO)
GIT_VERSION := $(shell git describe --tags --dirty)
VERSION := $(GIT_VERSION:v%=%)
GIT_COMMIT := $(shell git rev-parse HEAD)

all: test build-binary

test:
	$(GO_CMD) test -cover ./...

build-binary:
	$(GO_CMD) build -tags netgo -ldflags "-w -X main.Version=$(VERSION) -X main.GitCommit=$(GIT_COMMIT)" -o nextcloud-exporter .

deb: build-binary
	mkdir -p dist/deb/DEBIAN dist/deb/usr/bin
	sed 's/%VERSION%/$(VERSION)/' contrib/debian/control > dist/deb/DEBIAN/control
	cp nextcloud-exporter dist/deb/usr/bin/
	fakeroot dpkg-deb --build dist/deb dist

install:
	install -D -t $(DESTDIR)/usr/bin/ nextcloud-exporter
	install -D -m 0644 -t $(DESTDIR)/lib/systemd/system/ contrib/nextcloud-exporter.service

image:
	docker build -t "xperimental/nextcloud-exporter:$(VERSION)" .

clean:
	rm -f nextcloud-exporter
	rm -r dist

=== debian/changelog ===
prometheus-nextcloud-exporter (0.4.0-2ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Tue, 19 Nov 2024 00:05:55 +0000

prometheus-nextcloud-exporter (0.4.0-2build1) jammy; urgency=medium

  * No-change rebuild against Go 1.17

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 30 Nov 2021 13:56:03 -0600

prometheus-nextcloud-exporter (0.4.0-2) unstable; urgency=medium

  * d/rules: Rename binary to `prometheus-nextcloud-exporter`
  * d/control: Improve wording in package description
  * d/service: Add a systemd unit file
  * Add a default configuration file
  * Add logic to configure the package via debconf

 -- Jonas Meurer <jonas@freesources.org>  Sun, 04 Apr 2021 19:34:43 +0200

prometheus-nextcloud-exporter (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #986331)

 -- Jonas Meurer <jonas@freesources.org>  Sun, 04 Apr 2021 12:19:46 +0200

=== debian/control ===
Source: prometheus-nextcloud-exporter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jonas Meurer <jonas@freesources.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-github-spf13-pflag-dev,
               golang-logrus-dev,
               golang-prometheus-client-dev,
               golang-yaml.v2-dev,
               po-debconf
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nextcloud-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nextcloud-exporter.git
Homepage: https://github.com/xperimental/nextcloud-exporter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/xperimental/nextcloud-exporter

Package: prometheus-nextcloud-exporter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for Nextcloud server metrics
 The prometheus-nextcloud-exporter can be used to gather metrics from a
 Nextcloud server instance.

## prometheus-nextcloud-exporter 0.6.0

=== Makefile ===
SHELL := /bin/bash
GO ?= go
GO_CMD := CGO_ENABLED=0 $(GO)
GIT_VERSION := $(shell git describe --tags --dirty)
VERSION := $(GIT_VERSION:v%=%)
GIT_COMMIT := $(shell git rev-parse HEAD)
GITHUB_REF ?= refs/heads/master
DOCKER_TAG != if [[ "$(GITHUB_REF)" == "refs/heads/master" ]]; then \
		echo "latest"; \
	else \
		echo "$(VERSION)"; \
	fi

.PHONY: all
all: test build-binary

.PHONY: test
test:
	$(GO_CMD) test -cover ./...

.PHONY: lint
lint:
	golangci-lint run --fix

.PHONY: build-binary
build-binary:
	$(GO_CMD) build -tags netgo -ldflags "-w -X main.Version=$(VERSION) -X main.GitCommit=$(GIT_COMMIT)" -o nextcloud-exporter .

.PHONY: deb
deb: build-binary
	mkdir -p dist/deb/DEBIAN dist/deb/usr/bin
	sed 's/%VERSION%/$(VERSION)/' contrib/debian/control > dist/deb/DEBIAN/control
	cp nextcloud-exporter dist/deb/usr/bin/
	fakeroot dpkg-deb --build dist/deb dist

.PHONY: install
install:
	install -D -t $(DESTDIR)/usr/bin/ nextcloud-exporter
	install -D -m 0644 -t $(DESTDIR)/lib/systemd/system/ contrib/nextcloud-exporter.service

.PHONY: image
image:
	docker build -t "xperimental/nextcloud-exporter:$(DOCKER_TAG)" .

.PHONY: all-images
all-images:
	docker buildx build -t "ghcr.io/xperimental/nextcloud-exporter:$(DOCKER_TAG)" -t "xperimental/nextcloud-exporter:$(DOCKER_TAG)" --platform linux/amd64,linux/arm64 --push .

.PHONY: clean
clean:
	rm -f nextcloud-exporter
	rm -r dist

=== debian/changelog ===
prometheus-nextcloud-exporter (0.6.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:43 +1200

prometheus-nextcloud-exporter (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump standards-version to 4.6.1, no changes needed
  * d/po: Add debconf translations:
    - French translation. Thanks Lucien Gentis (Closes: #989301)
    - Dutch translation. Thanks to Frans Spiesschaert (Closes: #989698)
    - German translation. Thanks Helge Kreutzmann (Closes: #991488)
    - Portuguese translation. Thanks Américo Monteiro (Closes: #1000765)
    - Spanish translation. Thanks Camaleón (Closes: #1003519)
    - Brazilian Portuguese translation. Thanks Paulo Henrique de Lima
      Santana (Closes: #1026396)

 -- Jonas Meurer <jonas@freesources.org>  Wed, 04 Jan 2023 18:53:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-nextcloud-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jonas Meurer <jonas@freesources.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -14,7 +13,7 @@
                golang-prometheus-client-dev,
                golang-yaml.v2-dev,
                po-debconf
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nextcloud-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nextcloud-exporter.git
 Homepage: https://github.com/xperimental/nextcloud-exporter

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nextcloud-exporter-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/xperimental/nextcloud-exporter/tags .*/v?(\d\S*)\.tar\.gz debian

## prometheus-nextcloud-exporter 0.7.0

=== Makefile ===
--- 
+++ 
@@ -4,23 +4,21 @@
 GIT_VERSION := $(shell git describe --tags --dirty)
 VERSION := $(GIT_VERSION:v%=%)
 GIT_COMMIT := $(shell git rev-parse HEAD)
-GITHUB_REF ?= refs/heads/master
-DOCKER_TAG != if [[ "$(GITHUB_REF)" == "refs/heads/master" ]]; then \
-		echo "latest"; \
-	else \
-		echo "$(VERSION)"; \
-	fi
+DOCKER_REPO ?= xperimental/nextcloud-exporter
+DOCKER_TAG ?= dev
 
 .PHONY: all
 all: test build-binary
+
+include .bingo/Variables.mk
 
 .PHONY: test
 test:
 	$(GO_CMD) test -cover ./...
 
 .PHONY: lint
-lint:
-	golangci-lint run --fix
+lint: $(GOLANGCI_LINT)
+	$(GOLANGCI_LINT) run --fix
 
 .PHONY: build-binary
 build-binary:
@@ -40,11 +38,15 @@
 
 .PHONY: image
 image:
-	docker build -t "xperimental/nextcloud-exporter:$(DOCKER_TAG)" .
+	docker buildx build -t "ghcr.io/$(DOCKER_REPO):$(DOCKER_TAG)" --load .
 
 .PHONY: all-images
 all-images:
-	docker buildx build -t "ghcr.io/xperimental/nextcloud-exporter:$(DOCKER_TAG)" -t "xperimental/nextcloud-exporter:$(DOCKER_TAG)" --platform linux/amd64,linux/arm64 --push .
+	docker buildx build -t "ghcr.io/$(DOCKER_REPO):$(DOCKER_TAG)" -t "docker.io/$(DOCKER_REPO):$(DOCKER_TAG)" --platform linux/amd64,linux/arm64 --push .
+
+.PHONY: tools
+tools: $(BINGO) $(GOLANGCI_LINT)
+	@echo Tools built.
 
 .PHONY: clean
 clean:

=== debian/changelog ===
prometheus-nextcloud-exporter (0.7.0-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 01 Jul 2025 13:51:28 +1000

prometheus-nextcloud-exporter (0.7.0-1) unstable; urgency=medium

  [ Vinay Keshava ]
  * New upstream version 0.6.2

  [ Jonas Meurer ]
  * New upstream version 0.7.0
  * d/control: Bump standards-version to 4.7.0, no changes needed. 

 -- Jonas Meurer <jonas@freesources.org>  Tue, 23 Apr 2024 13:28:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-nextcloud-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jonas Meurer <jonas@freesources.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -13,7 +14,7 @@
                golang-prometheus-client-dev,
                golang-yaml.v2-dev,
                po-debconf
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-nextcloud-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-nextcloud-exporter.git
 Homepage: https://github.com/xperimental/nextcloud-exporter

## prometheus-nextcloud-exporter 0.8.0

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,10 @@
 
 .PHONY: lint
 lint: $(GOLANGCI_LINT)
+	$(GOLANGCI_LINT) run
+
+.PHONY: lint-fix
+lint-fix: $(GOLANGCI_LINT)
 	$(GOLANGCI_LINT) run --fix
 
 .PHONY: build-binary

=== debian/changelog ===
prometheus-nextcloud-exporter (0.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.8.0
  * Add Swedish translation. Thanks to Martin Bagge (Closes: #1080163)
  * Include sample Grafana dashboard
  * Update and document configuration file
  * Include README file
  * d/postinst: tighten config file permissions

 -- Martina Ferrari <tina@debian.org>  Fri, 14 Feb 2025 03:54:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-nextcloud-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jonas Meurer <jonas@freesources.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR := $(CURDIR)/build

%:
	dh $@ --builddirectory=$(BUILDDIR) --buildsystem=golang --with=golang

execute_after_dh_auto_build:
	mv -v $(BUILDDIR)/bin/nextcloud-exporter \
		$(BUILDDIR)/bin/prometheus-nextcloud-exporter

override_dh_auto_install:
	dh_auto_install -- --no-source
